Package twisted :: Package web :: Module widgets :: Class StreamWidget

[frames | no frames]

## Class StreamWidget

    Widget --+
             |
            StreamWidget

Known Subclasses:
  `IdentitiesGadget`, `Sidebar`

A 'streamable' component of a webpage.

Method Summary
| ``display`(self, request)` Produce a list containing a single string.
| ``stream`(self, write, request)` Call 'write' multiple times with a string argument to represent this widget.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
Inherited from Widget
`NoneType` | `title` = None

Method Details

### display(self, request)

Produce a list containing a single string.

  Overrides:
    `twisted.web.widgets.Widget.display`

### stream(self, write, request)

Call 'write' multiple times with a string argument to represent this widget.

Generated by Epydoc 2.0 on Sat May 15 20:08:21 2004 | http://epydoc.sf.net